## GstBtOscWave GstBtOscWave — wavetable oscillator |

## Functions

void | gstbt_osc_wave_setup ()
GstBtOscWave * | gstbt_osc_wave_new ()

## Properties

guint64 | duration | Read
gdouble | frequency | Write
GstBtWaveIndex | wave | Read / Write
gpointer | wave-callbacks | Read / Write
guint | wave-level | Read / Write

## Types and Values

struct | GstBtOscWave

## Object Hierarchy

        GObject
        ╰── GstBtOscWave

## Includes

    #include <libgstbuzztrax/osc-wave.h>

## Description

An audio waveform generator that read from the applications wave-table.

## Functions

### gstbt_osc_wave_setup ()

    void
    gstbt_osc_wave_setup (GstBtOscWave *self);

Prepare the oscillator. Should be called before first use to ensure it is configured for the default parameters.

#### Parameters

self | the oscillator |

### gstbt_osc_wave_new ()

    GstBtOscWave *
    gstbt_osc_wave_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct GstBtOscWave

    struct GstBtOscWave;

Class instance data.

## Property Details

### The `“duration”` property

      “duration”                 guint64

Duration in samples at the given rate.

Flags: Read

Default value: 0

### The `“frequency”` property

      “frequency”                gdouble

Frequency of tone (0.0 for original).

Flags: Write

Allowed values: >= 0

Default value: 0

### The `“wave”` property

      “wave”                     GstBtWaveIndex

Wave index.

Flags: Read / Write

Default value: no wave

### The `“wave-callbacks”` property

      “wave-callbacks”           gpointer

The wave-table access callbacks.

Flags: Read / Write

### The `“wave-level”` property

      “wave-level”               guint

Wave level index.

Flags: Read / Write

Allowed values: <= 100

Default value: 0